@import '../../../../../styles/global/var';

@mixin centered-content {
    display: flex;
    justify-content: center;
    align-items: flex-start;
}

@mixin image-text {
    font-weight: 500;
    font-size: 12px;
    line-height: 16px;
    color: $gray57c;
    position: absolute;
    white-space: nowrap;
}

agent-config-slide {
    display: block;
    width: 100%;
}

.agent-config-slide {
    &__header {
        display: flex;

        &-left {
            flex: 1 1 auto;
            color: $gray57c;
            font-size: 14px;
            line-height: 24px;
        }
        &-right {
            @include centered-content;
            flex: 0 0 530px;
        }
        &-info {
            &-left {
                @include centered-content;
                position: relative;
                height: 100%;

                &-text {
                    @include image-text;
                    top: 20px;
                    left: -80%;
                }

                &-arrow {
                    margin-top: 40px;
                }
            }

            &-right {
                @include centered-content;
                position: relative;
                height: 100%;

                &-text {
                    @include image-text;
                    top: 0;
                    left: 0;
                }

                &-arrow {
                    transform: scaleX(-1);
                    margin-top: 30px;
                }
            }
        }

        &-image {
            &-container {
                margin: 0 10px;
            }
        }
    }

    md-tabs-canvas {
        box-shadow: inset 0 -1px 0 $gray3e5;
    }
    .md-tab {
        font-weight: normal;
        font-size: 14px;
        line-height: 24px;
    }
}
